apptainer(1)

NAME

apptainer-sign - Attach digital signature(s) to an image

SYNOPSIS

apptainer sign [sign options...]

DESCRIPTION

The sign command allows a user to add one or more digital signatures to a SIF
  image. By default, one digital signature is added for each object group in
  the file.

To generate a key pair, see 'apptainer help key newpair'

OPTIONS

-g, --group-id=0
    sign objects with the specified group ID

-h, --help[=false]
    help for sign

-k, --keyidx=0
    private key to use (index from 'key list --secret')

-i, --sif-id=0
    sign object with the specified ID

EXAMPLE

      $ apptainer sign container.sif

SEE ALSO

apptainer(1)

HISTORY

11-Oct-2025 Auto generated by spf13/cobra